org.apache.commons.fileupload

## Class FileUploadBase.InvalidContentTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.fileupload.FileUploadException
      - - org.apache.commons.fileupload.FileUploadBase.InvalidContentTypeException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    FileUploadBase

      public static class FileUploadBase.InvalidContentTypeException
      extends FileUploadException

  Thrown to indicate that the request is not a multipart request.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidContentTypeException()` Constructs a `InvalidContentTypeException` with no detail message.
    `InvalidContentTypeException(String message)` Constructs an `InvalidContentTypeException` with the specified detail message.
    `InvalidContentTypeException(String msg, Throwable cause)` Constructs an `InvalidContentTypeException` with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.fileupload.FileUploadException

      `getCause, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidContentTypeException

          public InvalidContentTypeException()

      Constructs a `InvalidContentTypeException` with no detail message.

    - #### InvalidContentTypeException

          public InvalidContentTypeException(String message)

      Constructs an `InvalidContentTypeException` with the specified detail message.
      Parameters:
        `message` - The detail message.

    - #### InvalidContentTypeException

          public InvalidContentTypeException(String msg,
                                             Throwable cause)

      Constructs an `InvalidContentTypeException` with the specified detail message and cause.
      Parameters:
        `msg` - The detail message.
        `cause` - the original cause
      Since:
        1.3.1

Copyright © 2002–2017 The Apache Software Foundation. All rights reserved.